package com.ruoyi.ibs.task.service;

import com.ruoyi.ibs.task.domain.dto.*;
import com.ruoyi.ibs.task.domain.entity.TaskVisitSign;
import com.ruoyi.ibs.task.domain.vo.SignInVO;
import com.ruoyi.ibs.task.domain.vo.VisitRecordListVO;
import com.ruoyi.ibs.task.domain.vo.VisitRecordVO;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * @Author 吴凯程
 * @Date 2025/6/17
 **/

public interface TaskVisitRecordService {

    SignInVO addTaskVisitRecord(TaskVisitRecordDTO taskVisitRecordDTO);

    SignInVO addRemoteVisitRecord(TaskRemoteVisitDTO taskRemoteVisitDTO);

    String updateTaskVisitRecord(SignOutDTO signOutDTO);

    String addCustAddress(TaskVisitCustAddressDTO taskVisitCustAddressDTO);

    TaskVisitSign getCurrentSign(String recordId);

    List<VisitRecordListVO> getVisitRecordList(String custId);

    List<VisitRecordListVO> getVisitRecordListByUserName(TaskRecordDTO taskRecordDTO);

    VisitRecordVO getVisitRecord(String recordId);

    void uploadCustImagesToOss(List<MultipartFile> imageList, String custId);

     List<String> downloadCustImagesToOss(String custId);
}
